function [] = axisx(xlo, xhi)
% axisx - change only the x-axis of a figure
% 
% [] = axisx(xlo, xhi)
%
% Generalized Gaussian Process Models Toolbox (GPML Add-on)
% Copyright (c) by Antoni B. Chan, 2013-11-27


if (xlo == xhi)
  xhi = xlo+1e-3;
end

a = axis;
a(1) = xlo;
a(2) = xhi;
axis(a);
