function B = multicol(A)
% draw multinomial on columns of A
%
% Generalized Gaussian Process Models Toolbox (GPML Add-on)
% Copyright (c) by Antoni B. Chan, 2013-11-27


B = zeros(size(A));
for i=1:size(A,2)
  a = A(:,i);
  
  c = randmulti(1,1,a);
  B(c,i) = 1;
end
