function [th, dth, d2th, d3th] = theta_canonical(eta)
% canonical theta function
%
%  theta(eta) = eta
%
% Generalized Gaussian Process Models Toolbox (GPML Add-on)
% Copyright (c) by Antoni B. Chan, 2013-11-27


th = eta;

if nargout>1
  dth = ones(size(eta));
  if  nargout>2
    d2th = zeros(size(eta));
    if nargout>3
      d3th = zeros(size(eta));
    end
  end
end
